Bug 999158 - gtk2/gtk3 defaults under /usr/share not found/used
gtk2/gtk3 defaults under /usr/share not found/used
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-themes-standard (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cosimo Cecchi
Fedora Extras Quality Assurance
:
: 1008929 (view as bug list)
Depends On:
Blocks: F20FinalBlocker F20FinalFreezeException
  Show dependency treegraph
 
Reported: 2013-08-20 16:21 EDT by Kevin Fenzi
Modified: 2013-12-19 13:03 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-12 20:13:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2013-08-20 16:21:20 EDT
This has been an issue for a number of weeks, but no one else seems to have filed it. ;) 

lightdm-1.7.9-2.fc20.x86_64
gnome-icon-theme-symbolic-3.9.5-1.fc20.noarch
gnome-icon-theme-3.9.5-1.fc20.noarch

are all installed. The icons on the greeter window show broken instead of whatever they should be. 

Happy to provide a screenshot and/or check anything you like. 

Thanks.
Comment 1 Rex Dieter 2013-08-20 16:44:56 EDT
rpm -q lightdm-gtk
please.

In particular, this was reportedly fixed using lightdm-gtk-1.6.0-3.fc20 .  Does that one help for you too?
Comment 2 Kevin Fenzi 2013-08-20 18:31:33 EDT
lightdm-gtk-1.6.0-3.fc20.x86_64 here and it doesn't seem to help. ;(
Comment 3 David 2013-08-22 15:48:36 EDT
After this weeks Branch of Fedora Rawhide(20) to Fedora 20 and the updates that followed the Fedora 20 branch still has the missing icons. The new Fedora Rawhide(21) and after the updates that followed it still has the missing icons.
Comment 4 David 2013-08-30 20:57:26 EDT
This is obviously not a important situation for Fedora.

But I solved this on my own. I switched to Magiea and Xfce from their system install.

Everything works just great. But thanks for your efforts. I hope you have more success in the future.
Comment 5 David 2013-08-31 18:29:22 EDT
By using the configuration files from the other distribution that I mentioned as examples and with help from a hint from the Xfce mailing list I have found the Fedora problem.

In the file named lightdm-gtk-greeater.conf  is a line that reads

icon-theme-name=

In the Fedora version in Fedora 20 and Fedora 21 (Rawhide) it is commented out with a '#' and is 'empty'

By removing the '#' and adding a name of an installed icon theme after the '=' the icons in the Greeter return.
Comment 6 Kevin Fenzi 2013-09-01 14:10:09 EDT
Good that setting one works, but lightdm should default to one (and require that so the default works), IMHO.
Comment 7 David 2013-09-01 20:46:09 EDT
I see the benefits of custom configuration but in this case I would have thought that the Package Maintainer would set this to use the 'system default' theme icons.
Comment 8 Rex Dieter 2013-09-02 00:31:29 EDT
Indeed, that is what is expected.  The toolkit default (presumably gnome-icon-theme) should be used (and work), when no custom one is defined.
Comment 9 Rex Dieter 2013-09-05 23:43:50 EDT
I think I've found one issue, which seems to be f20+ specific, and why this doesn't occur on f19:

On f19:
$ grep icon-theme /etc/gtk* -r
/etc/gtk-2.0/gtkrc:gtk-icon-theme-name = "gnome"
/etc/gtk-3.0/settings.ini:gtk-icon-theme-name = gnome

$ repoquery --whatprovides /etc/gtk-2.0/gtkrc
adwaita-gtk2-theme-0:3.8.3-1.fc19.x86_64

$ repoquery --whatprovides /etc/gtk-3.0/settings.ini
adwaita-gtk3-theme-0:3.8.3-1.fc19.x86_64


On f20+:

These have been moved to
/usr/share/gtk-2.0/gtkrc
/usr/share/gtk-3.0/settings.ini
respectively, but I suspect, these new location may not work right.

Anyone seeing this, mind creating quick-n-dirty symlinks
cd /etc
ln -s /usr/share/gtk-3.0
ln -s /usr/share/gtk-2.0

and see if that makes things work again?  If so, looks like a gtk theming issue.
Comment 10 Rex Dieter 2013-09-05 23:50:13 EDT
Yeah, I think this is it,
https://developer.gnome.org/gtk3/3.8/GtkSettings.html

In the absence of an Xsettings manager, GTK+ reads default values for settings from settings.ini files in /etc/gtk-3.0, $XDG_CONFIG_DIRS/gtk-3.0 and $XDG_CONFIG_HOME/gtk-3.0.

XDG_CONFIG_DIRS default value is /etc/xdg
Comment 11 Kevin Fenzi 2013-09-06 00:09:48 EDT
Yep. the gtk-3.0 link fixes it here.
Comment 12 Rex Dieter 2013-09-06 09:32:07 EDT
Spoke with mclasen on irc, he's going to look into it.
Comment 13 David 2013-09-06 10:10:34 EDT
Rex,

Your suggestion works for me also. In Fedora 20 to be as well as in Rawhide to be Fedora 21.
Comment 14 Rex Dieter 2013-09-06 10:46:16 EDT
Per IRC followup:

[09/06/13 08:51] <mclasen> rdieter: fixed upstream, will trickle into f20 next week or so
Comment 15 Fedora End Of Life 2013-09-16 12:38:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 16 Fedora Blocker Bugs Application 2013-09-17 08:02:14 EDT
Proposed as a Blocker and Freeze Exception for 20-final by Fedora user rdieter using the blocker tracking app because:

 Environments without any settings daemon will have broken gtk2/gtk3 defaults.  One concrete symptom is missing/broken icons in lightdm, which affects multiple spins (including xfce, mate).
Comment 17 Rex Dieter 2013-09-17 08:03:26 EDT
*** Bug 1008929 has been marked as a duplicate of this bug. ***
Comment 18 Matthias Clasen 2013-09-19 20:42:09 EDT
This is fixed in gtk2-2.24.21-1.fc20.x86_64 and gtk3-3.9.16-2.fc20.x86_64
Comment 19 poma 2013-09-25 19:29:31 EDT
Another thing about these icons.
The possibility of changing the size of icons stopped working by introducing the GTK+ version >= 3.9.14.
Never enough fun. :)

http://goo.gl/eCrCFd
Comment 20 Rex Dieter 2013-09-26 10:41:45 EDT
I'd suggest you file a separate bug/issue, that seems unrelated to the topic(s) here.
Comment 21 poma 2013-09-27 12:12:02 EDT
It's a feature, not a bug, right Mat? :)
https://mail.gnome.org/archives/commits-list/2013-July/msg02660.html
http://ftp.gnome.org/pub/gnome/sources/gtk+/3.9/gtk+-3.9.8.news
Tested with gtk3-3.9.6/8-1.fc20.
Over and out.
Comment 22 Adam Williamson 2013-11-12 20:13:11 EST
The builds mclasen references went stable long ago, so closing.
Comment 23 jethawk 2013-12-19 00:43:18 EST
I've just installed F20 and this bug seems to appear on my desktop. Under KDE all gtk applications looks ugly. Symlinks to /etc/gtk-* or confguration file in $HOME/.gtkrc-* do help. Should we reopen the bug?

I have gtk2-2.24.22-2.fc20.i686 gtk3-3.10.5-1.fc20.i686
Comment 24 jethawk 2013-12-19 13:03:21 EST
Never mind about my last comment, it looks like to be the KDE problem, not gtk.

Note You need to log in before you can comment on or make changes to this bug.